﻿<!-- if app details is not in json file we will hide related section. -->
<!-- Like if no instagra app id = hide section -->
<div ng-controller="SocialMediaController as vm">
    <umb-box>
        <umb-box-header title="Instagram API status" description="Type your app details and update the connection"></umb-box-header>
        <umb-box-content>
            <div ng-show="vm.isAppIdAndkey">
                <label for="appId">App Id:</label><br />
                {{vm.instagramForm.appid}}<br /><br />
                <label for="secretKey">Secret Key:</label><br />
                {{vm.instagramForm.secretKey}}
                <br />
                <br />
                <div ng-show="vm.instagramForm.isValid" style="color:green;font-weight:bold;">
                    {{vm.instagramForm.userName}} are connected to Instagram
                </div>
                <div ng-show="!vm.instagramForm.isValid" style="color:red;font-weight:bold;">
                    Connection error
                </div>
            </div>
            <div ng-show="!vm.isAppIdAndkey">
                AppId and SecretKey are not found. Please provide detail in socialmediamata.json
            </div>
        </umb-box-content>
    </umb-box>
    <umb-box>
        <umb-box-header title="Facebook API Status"></umb-box-header>
        <umb-box-content>
            <div ng-show="vm.isFacebookAppIdAndkey">
                <label for="appId">App Id:</label><br />
                {{vm.facebookForm.appid}}<br /><br />
                <label for="secretKey">Secret Key:</label><br />
                {{vm.facebookForm.secretKey}}<br />
                <label for="pageId">Page Id:</label><br />
                {{vm.facebookForm.pageId}}
                <br />
                <br />
                <div ng-show="vm.facebookForm.isValid" style="color:green;font-weight:bold;">
                    {{vm.facebookForm.userName}} are connected to Facebook
                </div>
                <div ng-show="!vm.facebookForm.isValid" style="color:red;font-weight:bold;">
                    Connection error
                </div>
            </div>
            <div ng-show="!vm.isFacebookAppIdAndkey">
                AppId and SecretKey are not found. Please provide detail in socialmediamata.json
            </div>
        </umb-box-content>
    </umb-box>
  
</div>